/* 
 * File:   IHttp.hpp
 * Author: jens
 *
 * Created on 9. Januar 2015, 20:14
 */

#ifndef IHTTP_HPP
#define	IHTTP_HPP

#include "ViewFormat.hpp"

struct IHttpListener
{
    IHttpListener() {}
    virtual ~IHttpListener() {}
    
    virtual void onUpdate(const char *pPath, ViewFormat const &viewFormat) = 0;
};

#endif	/* IHTTP_HPP */

